import { BurstOptions, Callbacks, ConnectionParams, Identificator } from "./types";
export declare class Camera {
    constructor(params: ConnectionParams);
    get identifyBy(): Identificator;
    private exec;
    private spawn;
    private fn;
    private readonly model;
    private readonly port;
    private _identifyBy;
    private _process;
    static listCameras: () => Promise<any>;
    stopCapture: () => void | undefined;
    set identifyBy(i: Identificator);
    burst: ({ length, filename }: BurstOptions, callbacks?: Callbacks | undefined) => void;
    captureImage: ({ bulb, filename, forceOverwrite, frames, interval, keep, keepRAW, noKeep, resetInterval, skipExisting }: Partial<{
        keep: boolean;
        keepRAW: boolean;
        noKeep: boolean;
        bulb: number;
        frames: number;
        interval: number;
        resetInterval: boolean;
        filename: string;
        forceOverwrite: boolean;
        skipExisting: boolean;
    }>, callbacks?: Callbacks | undefined) => void;
    timelapse: ({ filename, frames, interval }: Pick<Partial<{
        keep: boolean;
        keepRAW: boolean;
        noKeep: boolean;
        bulb: number;
        frames: number;
        interval: number;
        resetInterval: boolean;
        filename: string;
        forceOverwrite: boolean;
        skipExisting: boolean;
    }>, "filename" | "frames" | "interval">, callbacks?: Callbacks | undefined) => void;
    getConfig: (properties: string[]) => Promise<import("./types").CommandResult>;
    setConfig: (properties: Record<string, any>) => Promise<import("./types").CommandResult>;
    reset: () => Promise<import("./types").CommandResult>;
}
